## class fltk::Single_Window

### Class Hierarchy

    fltk::Window
       |
       +----fltk::Single_Window

### Include Files

    #include <fltk/Single_Window.h>

### Description

This is the same as `fltk::Window`. However, it is possible that some implementations will provide double-buffered windows by default. This subclass can be used to force single-buffering. This may be useful for modifying existing programs that use incremental update, or for some types of image data, such as a movie flipbook.

### Methods

- fltk::Single_Window
- ~Single_Window

#### fltk::Single_Window::Single_Window(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::Single_Window` widget using the given position, size, and label (title) string.

#### virtual fltk::Single_Window::~Single_Window()

Destroys the window and all child widgets.